This is a simple CLI-based "game" that simulates the clog idea. See clog.md.

The game has in-game help, just type "help".

The game has the following commands:

- `help`
    
    shows help text
- `status`
    
    displays the status of all servers in the game
    
    this displays the server name, the hashes the server knows of, and the pending messages the server hasn't seen yet
- `status <server>`
    
    displays the status of a specific server
- `new <server>`
    
    creates a new server with the specified name
- `kill <server>`
    
    removes the server with the specified name
- `send <server> <message>`
    
    simulates a client sending a message to the specified server
- `recv <server-from> <server-to>`
    
    simulates a server (`server-to`) receiving a message from another server (`server-from`)
    
    the message must have been previously sent with `send <server-from> <message>`
- quit
    
    quits the game
